import * as React from 'react';
import { MachineConfig, MachineOptions, State } from 'xstate';
import { Interpreter } from 'xstate/lib/interpreter';
export declare const MachineState: React.ExoticComponent<React.ConsumerProps<State<any, any> | undefined>>;
export declare const RouterMachine: React.ExoticComponent<React.ConsumerProps<Interpreter<any, any, any> | undefined>>;
export interface XStateRouterProps extends React.Props<any> {
    config: MachineConfig<any, any, any>;
    options?: MachineOptions<any, any>;
}
export interface PassedProps {
    location: any;
    history: any;
}
export declare const XStateRouter: any;
